#!/usr/bin/make -f

IFRENCH=$(CURDIR)/debian/ifrench
MYSPELL_FR=$(CURDIR)/debian/myspell-fr

%:
	dh "$@"


override_dh_auto_build:
	[ -e francais.dico.upstream ] || mv francais.dico francais.dico.upstream
	rm -f francais.dico
	# ispell-fr
	$(MAKE) francais.dico
	# myspell-fr
	ispellaff2myspell --myheader debian/myspell.header \
	                  --charset=latin1 \
	                  francais.aff > fr.aff
	wc -l < francais.dico > francais.cnt
	cat francais.cnt francais.dico > fr.dic

override_dh_auto_clean:
	[ ! -e francais.dico.upstream ] || mv francais.dico.upstream francais.dico
	rm -f francais.cnt francais.stat francais.hash
	rm -f fr.aff fr.dic

override_dh_auto_install:
	# myspell-fr
	installdeb-myspell  -p myspell-fr --srcdir=$(CURDIR)
	installdeb-hunspell -p myspell-fr
	# ispell-fr
	installdeb-ispell   -p ifrench
	dh_installdirs      -p ifrench -P $(IFRENCH)
	install -m 0644 LISEZMOI      $(IFRENCH)/usr/share/doc/LANG/fr/ifrench
	install -m 0644 francais.aff  $(IFRENCH)/usr/lib/ispell/french.aff
	install -m 0644 francais.dico $(IFRENCH)/usr/share/ispell/french.mwl
	gzip -9nf $(IFRENCH)/usr/share/ispell/french.mwl
